package com.steering.pss.plan.order.model;
/**
 * 数据库表PLN_SALEORD_PROC所对应的实体类（生成工具：代码生成器3.0）
 * @author xiaohai-PC   date 2015-11-04
 */
@SuppressWarnings("serial")
public class PlnSaleordProcEntity implements java.io.Serializable {
    /**
     * 交货编码PK
     */
    private String ordLnDlyPk = "";
    /**
     * 排产流水号
     */
    private String plnDivideId = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 交货编码
     */
    private String deliveryNo = "";
    /**
     * 产品规范码
     */
    private String psc = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 工艺文件责任人
     */
    private String craftFileMan = "";
    /**
     * 冶金规范码
     */
    private String msc = "";
    /**
     * 制程索引号
     */
    private String indexSeq = "";
    /**
     * 成品工序号（全程途径码）
     */
    private String processSeq = "";
    /**
     * 默认BOM
     */
    private String bom = "";
    /**
     * 钢种可选
     */
    private String gradecodeAll = "";
    /**
     * 钢种默认
     */
    private String gradecode = "";
    /**
     * 轧管机组可选
     */
    private String groupRollAll = "";
    /**
     * 默认轧管机组编号
     */
    private String groupRoll = "";
    /**
     * 变径类型
     */
    private String bjType = "";
    /**
     * 镦拔扩投入物料编码
     */
    private String eInMaterialNo = "";
    /**
     * 镦拔扩投入物料描述
     */
    private String eInMaterialDesc = "";
    /**
     * 原料管外径
     */
    private String dimaterYlg = "";
    /**
     * 原料管壁厚
     */
    private String heightYlg = "";
    /**
     * 成品物料编码
     */
    private String materialNo = "";
    /**
     * 成品物料描述
     */
    private String materialDesc = "";
    /**
     * 坯料属性（锻坯、轧批、铸坯）
     */
    private String stuffProperty = "";
    /**
     * 成品米单重
     */
    private String weightPerM = "";
    /**
     * 分配排产重
     */
    private String planWtD = "";
    /**
     * 分配排产支
     */
    private String planNumD = "";
    /**
     * 成品完成重量
     */
    private String finishWt = "";

    /**
     * 交货编码PK
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货编码PK
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 排产流水号
     * @return value
     */
    public String getPlnDivideId() {
        return plnDivideId;
    }

    /**
     * 排产流水号
     * @param plnDivideId value
     */
    public void setPlnDivideId(String plnDivideId) {
        this.plnDivideId = plnDivideId;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 交货编码
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 交货编码
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * 产品规范码
     * @return value
     */
    public String getPsc() {
        return psc;
    }

    /**
     * 产品规范码
     * @param psc value
     */
    public void setPsc(String psc) {
        this.psc = psc;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 工艺文件责任人
     * @return value
     */
    public String getCraftFileMan() {
        return craftFileMan;
    }

    /**
     * 工艺文件责任人
     * @param craftFileMan value
     */
    public void setCraftFileMan(String craftFileMan) {
        this.craftFileMan = craftFileMan;
    }

    /**
     * 冶金规范码
     * @return value
     */
    public String getMsc() {
        return msc;
    }

    /**
     * 冶金规范码
     * @param msc value
     */
    public void setMsc(String msc) {
        this.msc = msc;
    }

    /**
     * 制程索引号
     * @return value
     */
    public String getIndexSeq() {
        return indexSeq;
    }

    /**
     * 制程索引号
     * @param indexSeq value
     */
    public void setIndexSeq(String indexSeq) {
        this.indexSeq = indexSeq;
    }

    /**
     * 成品工序号（全程途径码）
     * @return value
     */
    public String getProcessSeq() {
        return processSeq;
    }

    /**
     * 成品工序号（全程途径码）
     * @param processSeq value
     */
    public void setProcessSeq(String processSeq) {
        this.processSeq = processSeq;
    }

    /**
     * 默认BOM
     * @return value
     */
    public String getBom() {
        return bom;
    }

    /**
     * 默认BOM
     * @param bom value
     */
    public void setBom(String bom) {
        this.bom = bom;
    }

    /**
     * 钢种可选
     * @return value
     */
    public String getGradecodeAll() {
        return gradecodeAll;
    }

    /**
     * 钢种可选
     * @param gradecodeAll value
     */
    public void setGradecodeAll(String gradecodeAll) {
        this.gradecodeAll = gradecodeAll;
    }

    /**
     * 钢种默认
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种默认
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 轧管机组可选
     * @return value
     */
    public String getGroupRollAll() {
        return groupRollAll;
    }

    /**
     * 轧管机组可选
     * @param groupRollAll value
     */
    public void setGroupRollAll(String groupRollAll) {
        this.groupRollAll = groupRollAll;
    }

    /**
     * 默认轧管机组编号
     * @return value
     */
    public String getGroupRoll() {
        return groupRoll;
    }

    /**
     * 默认轧管机组编号
     * @param groupRoll value
     */
    public void setGroupRoll(String groupRoll) {
        this.groupRoll = groupRoll;
    }

    /**
     * 变径类型
     * @return value
     */
    public String getBjType() {
        return bjType;
    }

    /**
     * 变径类型
     * @param bjType value
     */
    public void setBjType(String bjType) {
        this.bjType = bjType;
    }

    /**
     * 镦拔扩投入物料编码
     * @return value
     */
    public String getEInMaterialNo() {
        return eInMaterialNo;
    }

    /**
     * 镦拔扩投入物料编码
     * @param eInMaterialNo value
     */
    public void setEInMaterialNo(String eInMaterialNo) {
        this.eInMaterialNo = eInMaterialNo;
    }

    /**
     * 镦拔扩投入物料描述
     * @return value
     */
    public String getEInMaterialDesc() {
        return eInMaterialDesc;
    }

    /**
     * 镦拔扩投入物料描述
     * @param eInMaterialDesc value
     */
    public void setEInMaterialDesc(String eInMaterialDesc) {
        this.eInMaterialDesc = eInMaterialDesc;
    }

    /**
     * 原料管外径
     * @return value
     */
    public String getDimaterYlg() {
        return dimaterYlg;
    }

    /**
     * 原料管外径
     * @param dimaterYlg value
     */
    public void setDimaterYlg(String dimaterYlg) {
        this.dimaterYlg = dimaterYlg;
    }

    /**
     * 原料管壁厚
     * @return value
     */
    public String getHeightYlg() {
        return heightYlg;
    }

    /**
     * 原料管壁厚
     * @param heightYlg value
     */
    public void setHeightYlg(String heightYlg) {
        this.heightYlg = heightYlg;
    }

    /**
     * 成品物料编码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 成品物料编码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 成品物料描述
     * @return value
     */
    public String getMaterialDesc() {
        return materialDesc;
    }

    /**
     * 成品物料描述
     * @param materialDesc value
     */
    public void setMaterialDesc(String materialDesc) {
        this.materialDesc = materialDesc;
    }

    /**
     * 坯料属性（锻坯、轧批、铸坯）
     * @return value
     */
    public String getStuffProperty() {
        return stuffProperty;
    }

    /**
     * 坯料属性（锻坯、轧批、铸坯）
     * @param stuffProperty value
     */
    public void setStuffProperty(String stuffProperty) {
        this.stuffProperty = stuffProperty;
    }

    /**
     * 成品米单重
     * @return value
     */
    public String getWeightPerM() {
        return weightPerM;
    }

    /**
     * 成品米单重
     * @param weightPerM value
     */
    public void setWeightPerM(String weightPerM) {
        this.weightPerM = weightPerM;
    }

    /**
     * 分配排产重
     * @return value
     */
    public String getPlanWtD() {
        return planWtD;
    }

    /**
     * 分配排产重
     * @param planWtD value
     */
    public void setPlanWtD(String planWtD) {
        this.planWtD = planWtD;
    }

    /**
     * 分配排产支
     * @return value
     */
    public String getPlanNumD() {
        return planNumD;
    }

    /**
     * 分配排产支
     * @param planNumD value
     */
    public void setPlanNumD(String planNumD) {
        this.planNumD = planNumD;
    }

    /**
     * 成品完成重量
     * @return value
     */
    public String getFinishWt() {
        return finishWt;
    }

    /**
     * 成品完成重量
     * @param finishWt value
     */
    public void setFinishWt(String finishWt) {
        this.finishWt = finishWt;
    }
}